CVE-2002-1821
CVSS4.6
发布时间 :2002-12-31 00:00:00
修订时间 :2008-09-05 16:31:36
NMCO    

[原文]Ultimate PHP Board (UPB) 1.0 and 1.0b allows remote authenticated users to gain privileges and perform unauthorized actions via direct requests to (1) admin_members.php, (2) admin_config.php, (3) admin_cat.php, or (4) admin_forum.php.


[CNNVD]Ultimate PHP Board未授权远程管理访问漏洞(CNNVD-200212-131)

        
        Ultimate PHP Board是一款基于WEB的由PHP编写的论坛系统。
        Ultimate PHP Board对部分管理页面没有进行正确的权限访问检查,远程攻击者可以利用这个漏洞执行管理员操作。
        Ultimate PHP Board多个管理页面对受限用户的访问检查不正确,攻击者以普通用户访问:
        http://www.example.com/admin_members.php
        可以提升自己为管理员权限。
        访问http://www.example.com/admin_config.php
        可以配置论坛其他设置。
        访问http://www.example.com/admin_cat.php
        修改UPB论坛标题栏名字颜色。
        访问如下页面可以操作论坛目录或者不需要管理员权限删除论坛栏目:
        http://www.example.com/admin_forum.php
        问题存在于admin_members.php、admin_config.php、admin_cat.php、admin_forum.php和其他管理文件存在如下一行代码:
        if(is_logged_in($user_env, $pass_env, $power_env, $id_env)) {
        此代码不检查用户是否是管理员权限,而只检查用户是否登录。
        

- CVSS (基础分值)

CVSS分值: 4.6 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:ultimate_php_board:ultimate_php_board:1.0_beta
cpe:/a:ultimate_php_board:ultimate_php_board:1.0

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-1821
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-1821
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200212-131
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/5666
(UNKNOWN)  BID  5666
http://securitytracker.com/id?1005198
(UNKNOWN)  SECTRACK  1005198

- 漏洞信息

Ultimate PHP Board未授权远程管理访问漏洞
中危 访问验证错误
2002-12-31 00:00:00 2005-10-20 00:00:00
远程  
        
        Ultimate PHP Board是一款基于WEB的由PHP编写的论坛系统。
        Ultimate PHP Board对部分管理页面没有进行正确的权限访问检查,远程攻击者可以利用这个漏洞执行管理员操作。
        Ultimate PHP Board多个管理页面对受限用户的访问检查不正确,攻击者以普通用户访问:
        http://www.example.com/admin_members.php
        可以提升自己为管理员权限。
        访问http://www.example.com/admin_config.php
        可以配置论坛其他设置。
        访问http://www.example.com/admin_cat.php
        修改UPB论坛标题栏名字颜色。
        访问如下页面可以操作论坛目录或者不需要管理员权限删除论坛栏目:
        http://www.example.com/admin_forum.php
        问题存在于admin_members.php、admin_config.php、admin_cat.php、admin_forum.php和其他管理文件存在如下一行代码:
        if(is_logged_in($user_env, $pass_env, $power_env, $id_env)) {
        此代码不检查用户是否是管理员权限,而只检查用户是否登录。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 更改admin_members.php、admin_config.php、 admin_cat.php、admin_forum.php和其他管理文件存在如下一行代码:
        if(is_logged_in($user_env, $pass_env, $power_env, $id_env)) {
        为如下代码:
        if(is_logged_in($user_env, $pass_env, $power_env, $id_env) && $power_env == 3) {
        厂商补丁:
        Ultimate PHP Board
        ------------------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        
        http://www.webrc.ca/php/upb.php

- 漏洞信息

59165
Ultimate PHP Board (UPB) Multiple Script Direct Request Admin Authentication Bypass
Remote / Network Access Authentication Management
Loss of Integrity
Exploit Public Vendor Verified

- 漏洞描述

- 时间线

2002-09-06 Unknow
Unknow 2002-09-06

- 解决方案

Upgrade to version 1.0 final beta or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站